
import java.io.*;


public class bsp_and_or2 {

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

  private static int readStatus(){
    return 55;
  }

	public static void main(String[] args) {
   System.out.println(
   "ist 2. und 5. Bit gesetzt?");
   // Ergebnis von k
   //  0  4 32 36
   int a;
   a=readStatus();
   int k= a & 36;
   System.out.println("k "+k);
   if (k==36)
     System.out.println("Beide gesetzt");
   else
     System.out.println("nicht gesetzt");

   if ( ( (k&4)==4) || ((k&32)==32 ) )
     System.out.println("Eins von beiden ODER beide gesetzt");

   if ( k>0 )
     System.out.println("Eins von beiden ODER beide gesetzt");

    pause();
  } // main


}

